(function(exports) {


    exports.extendShallow = function extendShallow(objTo, objFrom) {
        if (arguments[2] && typeof arguments[2] === 'string') {
            for (var i = 2; i < arguments.length; i++) {
                var propName = arguments[i];
                objTo[propName] = objFrom[propName];
            }
        } else {
            [].slice.call(arguments, 1).forEach(function(source) {
                for (var prop in source) {
                    if (source.hasOwnProperty(prop)) {
                        objTo[prop] = source[prop];
                    }
                }
            });
        }
        return objTo;
    }

})((typeof exports === 'undefined') ? window : exports);